SELECT e.journal, e.ecr_id, e.date_ecr, e.cpte, e.ccpte, e.monnaie,  e.no_piece, e.libelle,
       e.no_groupe, e.tva_code, e.debit, e.credit, e.debit_me, e.credit_me, c.intitule, j.description, j.date_debut, j.date_fin
FROM ecritures e, comptes c, journaux j
WHERE e.exercice_idt = :exercice_idt
AND e.journal = :CODE_JOURNAL
AND c.cpte_id = e.cpte
AND c.exercice_idt = e.exercice_idt
AND j.exercice_idt  = e.exercice_idt
AND j.jnl_id  = e.journal
ORDER BY e.ecr_id  