SELECT h.*, s.dt_lecture, s.tr_lues, s.tr_rejet, s.montant, s.mt_taxe, c.nom, c.prenom, c.npa, c.lieu
FROM SESSION_BVR s

INNER JOIN HISTO_BVR h
ON h.exercice_idt = s.exercice_idt
AND h.SESSION_ID = s.SESSION_ID
AND h.rejet_compta = 0

LEFT JOIN client c
ON c.client_id = h.no_client
AND EXISTS(
	SELECT *
	FROM exercice
	WHERE exercice_idt = s.exercice_idt
	AND mandat_idt = c.mandat_idt
)

WHERE s.exercice_idt = :exercice_idt
AND s.SESSION_ID = :session_id
ORDER BY h.no_facture