SELECT  d.no_facture, d.dt_ech_nou, d.dt_ech_anc, d.mt_frais_vari, d.mt_frais_fixe,
        d.niveau_rappel, d.mt_interet, d.mt,
        r.*,
        p.montant, p.po_date, p.code_monnaie, p.cours_monnaie, p.po_id,
        pai.montant as montant_pai, pai.po_date as po_date_pai, pai.code_monnaie as code_monnaie_pai, pai.cours_monnaie as cours_monnaie_pai, pai.TEXTE

FROM RAPPEL r

RIGHT JOIN RAPPEL_DETAIL d
ON d.rappel_id = r.rappel_id
AND d.mandat_idt = r.mandat_idt
AND coalesce(d.imprimer, 0) = 0

LEFT JOIN POSTES_OUV p
ON p.mandat_idt = d.mandat_idt
AND p.po_id = d.po_id
AND p.po_type = 1
AND p.parent_id = 0

LEFT JOIN POSTES_OUV pai
ON pai.mandat_idt = p.mandat_idt
AND pai.parent_id = p.po_id

WHERE r.mandat_idt = :mandat_idt
AND r.dt_rappel = :dt_rappel
ORDER BY r.client_id, p.niveau_rappel, p.po_id DESC